# Common functions for Docker scripts

# Prefix for lines
CPFX=' ---> '

# Colored print
# -------------
# Usage: cprintln <color> <text>
# Values for <color>:
#   r = red
#   b = blue
#   g = green
#   a = gray
function cprintln() {
  c=$1; shift
  t=$*
  case "$c" in
    r) ccode='\033[91m' ;;
    b) ccode='\033[94m' ;;
    g) ccode='\033[92m' ;;
    a) ccode='\033[2m'  ;;
    *) ccode=''         ;;
  esac
  printf "${ccode}${CPFX}$t\033[0m\n"
}

squiggly="_.-''-._.-''-._.-''-._.-''-._.-''-._.-''-._.-''-._.-''-._.-''-._"
